For AI agents: a documentation index is available at the root level at /llms.txt and /llms-full.txt. Append /llms.txt to any URL for a page-level index, or .md for the markdown version of any page.
Resources
Get started
ReferenceGuidesChangelog
ReferenceGuidesChangelog
  • v2 Migration
    • Webflow v1 API Deprecation Notice
    • Migrating to v2
  • Meta
    • GETAuthorized User
    • GETAuthorized Info
  • Sites
  • CMS
  • Ecommerce
      • GETList Products & SKUs
      • POSTCreate Product & SKU
      • GETGet Product and SKUs
      • PATCHUpdate Product
      • POSTCreate SKU
      • PATCHUpdate SKU
LogoLogo
Resources
Get started
EcommerceProducts & SKUs

Create Product & SKU

POST
https://api.webflow.com/sites/:site_id/products
POST
/sites/:site_id/products
$curl -X POST https://api.webflow.com/sites/580e63e98c9a982ac9b8b741/products \
> -H "Accept-Version: 1.0.0" \
> -H "Authorization: Bearer <token>" \
> -H "Content-Type: application/json" \
> -d '{}'
1{
2 "product": {
3 "_id": "580e63fc8c9a982ac9b8b745",
4 "name": "Cloak Of Invisibility",
5 "slug": "cloak-of-invisibility-1",
6 "shippable": true,
7 "_archived": false,
8 "_draft": false,
9 "ec-product-type": "ff42fee0113744f693a764e3431a9cc2",
10 "sku-properties": [
11 {
12 "id": "a37a7991f7ca1be0d349a805a2bddb5b",
13 "name": "Color",
14 "enum": [
15 {
16 "id": "a9506da8e70a8b087f35a4094ec34a53",
17 "name": "Obsidian Black",
18 "slug": "obsidian-black"
19 },
20 {
21 "id": "c92a465a1298c95fd1cd7f4c1c96c2ba",
22 "name": "Smoke Grey",
23 "slug": "smoke-grey"
24 },
25 {
26 "id": "ef9511c0b56cc11ff47c5669f65030b4",
27 "name": "Forest Green",
28 "slug": "forest-green"
29 }
30 ]
31 }
32 ],
33 "description": "A cloak that renders the wearer invisible to the eye.",
34 "default-sku": "5e8518536e147040726cc416"
35 },
36 "sku": {
37 "_id": "5e8518536e147040726cc416",
38 "name": "Cloak Of Invisibility Color: Obsidian Black",
39 "slug": "cloak-of-invisibility-color-obsidian-black-7",
40 "fields": {
41 "slug": "post-body",
42 "_archived": false,
43 "_draft": false,
44 "price": {
45 "value": 2000,
46 "unit": "USD"
47 }
48 },
49 "price": {
50 "unit": "USD",
51 "value": 120000
52 },
53 "_archived": false,
54 "_draft": false,
55 "sku-values": {},
56 "width": 56,
57 "length": 0.3,
58 "height": 72,
59 "weight": 24,
60 "main-image": {
61 "fileId": "5e85161dabd9ea4072cf1414",
62 "url": "https://dev-assets.website-files.com/5d93ba5e38c6b0160ab711d6/5e85161dabd9ea4072cf1414_5e8512181ae993035b15f315_external-content.duckduckgo.com.jpeg",
63 "alt": null
64 },
65 "more-images": [
66 {
67 "fileId": "5e85161dabd9ea4072cf1414",
68 "url": "https://dev-assets.website-files.com/5d93ba5e38c6b0160ab711d6/5e85161dabd9ea4072cf1414_5e8512181ae993035b15f315_external-content.duckduckgo.com.jpeg",
69 "alt": null
70 },
71 {
72 "fileId": "5e85161dabd9ea4072cf1414",
73 "url": "https://dev-assets.website-files.com/5d93ba5e38c6b0160ab711d6/5e85161dabd9ea4072cf1414_5e8512181ae993035b15f315_external-content.duckduckgo.com.jpeg",
74 "alt": null
75 }
76 ],
77 "download-files": [
78 {
79 "id": "5ebb1676c3244c2c6ae18814",
80 "name": "The modern web design process - Webflow Ebook.pdf",
81 "url": "https://dropbox.com/files/modern-web-design-process.pdf"
82 }
83 ],
84 "product": "5e8518516e147040726cc415",
85 "updated-on": "2020-04-01T22:40:19.287Z",
86 "updated-by": "Person_5d8fcb6d94dd1853060fb3b3",
87 "created-on": "2020-04-01T22:40:19.287Z",
88 "created-by": "Person_5d8fcb6d94dd1853060fb3b3",
89 "published-on": null,
90 "published-by": null,
91 "_cid": "5dd44c493543b37d5449b383"
92 }
93}
Adding a new Product involves creating both a Product Item and a SKU Item, since a Product Item has to have, at minimum, a SKU Item. To create a new Product with multiple SKUs, you must: - Create the Product and Default SKU using this endpoint, making sure to add `sku-properties` in the product data. - You can't add `sku-values` to the SKU yet, since there are no enum IDs created yet. When this endpoint returns, it will have IDs filled in for the `sku-properties` enums. - With those IDs, update the default SKU with valid `sku-values` and create any additional SKUs (if needed), with valid `sku-values`. - You can also create the Product without `sku-properties` and add them in later. - If you add any `sku` properties, the default SKU will default to the first value of each option. Upon creation, the default product type will be `Advanced`. The product type is used to determine which Product and SKU fields are shown to users in the `Designer` and the `Editor`. Setting it to `Advanced` ensures that all Product and SKU fields will be shown. The product type can be edited in the `Designer` or the `Editor`.
Was this page helpful?
Previous

Get Product and SKUs

Next
Built with

Adding a new Product involves creating both a Product Item and a SKU Item, since a Product Item has to have, at minimum, a SKU Item.

To create a new Product with multiple SKUs, you must:

  • Create the Product and Default SKU using this endpoint, making sure to add sku-properties in the product data.
  • You can’t add sku-values to the SKU yet, since there are no enum IDs created yet. When this endpoint returns, it will have IDs filled in for the sku-properties enums.
  • With those IDs, update the default SKU with valid sku-values and create any additional SKUs (if needed), with valid sku-values.
  • You can also create the Product without sku-properties and add them in later.
  • If you add any sku properties, the default SKU will default to the first value of each option.

Upon creation, the default product type will be Advanced. The product type is used to determine which Product and SKU fields are shown to users in the Designer and the Editor. Setting it to Advanced ensures that all Product and SKU fields will be shown. The product type can be edited in the Designer or the Editor.

Authentication

AuthorizationBearer

Bearer authentication of the form Bearer <token>, where token is your auth token.

Path parameters

site_idstringRequiredformat: "uuid"
Unique identifier for a Site

Headers

Accept-VersionstringOptional
The API version

Request

The product and sku to create
productobjectOptional
The Product object
skuobjectOptional
The SKU object

Response

Request was successful
productobject
The Product object
skuobject
The SKU object

Errors

400
Bad Request Error
401
Unauthorized Error
404
Not Found Error
429
Too Many Requests Error
500
Internal Server Error